[tool.poetry]
name = "pydantic_factur_x"
version = "0.2.0"
description = "Python library for pydantic factur-x bindings"
authors = ["Thomas chiroux <thomas@chiroux.org>"]
license = "MIT"
readme = "README.md"
packages = [{ include = "pydantic_factur_x" }]

[tool.poetry.dependencies]
python = "^3.10"
pydantic-xml = { extras = ["lxml"], version = "^2.7" }


[tool.poetry.group.dev.dependencies]
black = "^23.1.0"
pylint = "^2.17.0"
mypy = "^1.1.1"
bandit = "^1.7.5"
twine = "^4.0.2"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
